# panos_sag – Create a static address group

New in version 2.4.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Consolidating code base.
Alternative: | Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Create a static address group object in the firewall used for policy rules.

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python can be obtained from PyPI https://pypi.org/project/pan-python/
- pandevice can be obtained from PyPI https://pypi.org/project/pandevice/
- xmltodict can be obtained from PyPI https://pypi.org/project/xmltodict/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | API key that can be used instead of username/password credentials.

commit
boolean

Choices:
- no
- yes ←

commit if changed

description - |  | The purpose / objective of the static Address Group
devicegroup - |  | - The name of the Panorama device group. The group must exist on Panorama. If device group is not defined it is assumed that we are contacting a firewall.
ip_address string / required |  | IP address (or hostname) of PAN-OS device.

operation
- / required

Choices:
- add
- list
- delete

The operation to perform Supported values are add/list/delete.

password string / required |  | Password for authentication.
sag_match_filter list |  | Static filter user by the address group
sag_name - / required |  | name of the dynamic address group
tags - |  | Tags to be associated with the address group
username string | Default: "admin" | Username for authentication.

## Examples

    - name: sag
      panos_sag:
        ip_address: "192.168.1.1"
        password: "admin"
        sag_name: "sag-1"
        static_value: ['test-addresses', ]
        description: "A description for the static address group"
        tags: ["tags to be associated with the group", ]

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Vinay Venkataraghavan (@vinayvenkat)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.